package nl.github.demo.documentation.deserializer;

import com.fasterxml.jackson.core.JsonParser;
import com.fasterxml.jackson.databind.DeserializationContext;
import com.fasterxml.jackson.databind.JsonDeserializer;
import com.fasterxml.jackson.databind.JsonNode;

import java.io.IOException;

import nl.github.demo.documentation.model.Cron;

public final class CronDeserializer extends JsonDeserializer<Cron> {

    @Override
    public Cron deserialize(final JsonParser parser, final DeserializationContext context)
            throws IOException {
        return Cron.of(((JsonNode) parser.getCodec().readTree(parser)).asText());
    }
}
